#pragma once
#include "Entity.h"
#define CS_ENEMY_NIGHTSPIRIT_CREATENAME L"CS_enemy_nightspirit"
//µÐÈË£ºÒ¹¾«Áé
class CS_Enemy_NightSpirit :
    public Entity
{
public:
    CS_Enemy_NightSpirit();
    void Step() override;
    void SetState(int stateID, int lr) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    int act_no = 0;
    float tgt_x = 0;
    float tgt_y = 0;
    int act_wait = 0;
    int ani_wait = 0;
    bool bShootable = false;
    float vy_set = 0;
};

std::shared_ptr<Entity> CreateCS_Enemy_NightSpirit();